Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.aop.advice
Class AspectFactoryDelegator

    java.lang.Object
      org.jboss.aop.advice.AspectFactoryWithClassLoaderSupport
          org.jboss.aop.advice.AspectFactoryDelegator

All Implemented Interfaces:
  AspectFactory, AspectFactoryWithClassLoader

public class AspectFactoryDelegator
extends AspectFactoryWithClassLoaderSupport

Lazy loading of AspectFactory

Version:
  $Revision: 1.3 $
Author:
  Bill Burke

Constructor Summary
`AspectFactoryDelegator(String factory, Element element)`

Method Summary
`Object` | `createPerClass(Advisor advisor)`
`Object` | `createPerInstance(Advisor advisor, InstanceAdvisor instanceAdvisor)`
`Object` | `createPerJoinpoint(Advisor advisor, InstanceAdvisor instanceAdvisor, Joinpoint jp)`
`Object` | `createPerJoinpoint(Advisor advisor, Joinpoint jp)`
`Object` | `createPerVM()`
`Element` | `getElement()`
`AspectFactory` | `getFactory()`
`String` | `getName()`
`void` | `setElement(Element element)`

Methods inherited from class org.jboss.aop.advice.AspectFactoryWithClassLoaderSupport
`getLoader, loadClass, setClassLoader`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AspectFactoryDelegator

    public AspectFactoryDelegator(String factory,
                                  Element element)

Method Detail

### getName

    public String getName()

### getElement

    public Element getElement()

### setElement

    public void setElement(Element element)

### getFactory

    public AspectFactory getFactory()

### createPerVM

    public Object createPerVM()

### createPerClass

    public Object createPerClass(Advisor advisor)

### createPerInstance

    public Object createPerInstance(Advisor advisor,
                                    InstanceAdvisor instanceAdvisor)

### createPerJoinpoint

    public Object createPerJoinpoint(Advisor advisor,
                                     Joinpoint jp)

### createPerJoinpoint

    public Object createPerJoinpoint(Advisor advisor,
                                     InstanceAdvisor instanceAdvisor,
                                     Joinpoint jp)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 JBoss Inc. All Rights Reserved.